<template>
    <v-row>
        <v-col>
            <h1>Detail pacienta</h1>
            <v-divider />
            <v-form>
                <v-row>
                    <v-col cols="8">
                        <v-text-field v-model="attributes.jmeno" label="Jméno"></v-text-field>
                    </v-col>
                    <v-col cols="8">
                        <v-text-field v-model="attributes.adresa" label="Adresa"></v-text-field>
                    </v-col>
                    <v-col cols="8">
                        <v-text-field v-model="attributes.email" label="Email"></v-text-field>
                    </v-col>
                    <v-col cols="8">
                        <v-text-field v-model="attributes.telefon" label="Telefon"></v-text-field>
                    </v-col>
                    <v-col cols="8">
                        Datum narození<p />
                        <v-date-picker v-model="attributes.datumNarozeni" elevation="15" class="mt-4" :first-day-of-week="1" locale="cs-cz"></v-date-picker><p />
                    </v-col>
                </v-row>
                <v-row>
                    <v-col>
                        <v-btn right color="success" v-on:click="ulozitZmeny">
                            <v-icon>mdi-check</v-icon>
                        </v-btn>
                    </v-col>
                </v-row>
            </v-form>
        </v-col>
    </v-row>
</template>

<script>
    export default {
        data() {
            return {
                id: null,
                type: 'items',
                attributes: {
                    jmeno: null,
                    email: null,
                    telefon: null,
                    adresa: null,
                    datumNarozeni: null
                }
            }
        },
        async mounted() {
            const id = this.$route.params.id;
            const res = await this.$axios.get('/api/pacient/' + id);
            const item = res.data;
            this.id = item.id;
            this.attributes.jmeno = item.jmeno;
            this.attributes.email = item.email;
            this.attributes.telefon = item.telefon;
            this.attributes.adresa = item.adresa;

            var t = item.datumNarozeni.split(/[- :T]/)
            this.attributes.datumNarozeni = `${t[0]}-${t[1]}-${t[2]}`;
        },
        methods: {
            ulozitZmeny: async function (event) {
                const res = await this.$axios.put('/api/Pacient/' + this.id, {
                    id: this.id,
                    jmeno: this.attributes.jmeno,
                    adresa: this.attributes.adresa,
                    email: this.attributes.email,
                    telefon: this.attributes.telefon,
                    datumNarozeni: this.attributes.datumNarozeni
                });
                console.log(res);
                location.href='/Pacienti';
            }
        }
    }
</script>
